--- title: "Copy API" slug: "apigateway-api-clone" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/apigateway-api-clone" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Copy API Available in Classic and VPC Copy an API to create a new API. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/products/{product-id}/apis/clone | ### Request headers For information about the headers common to all API Gateways, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID connected to the API | ### Request syntax The request syntax is as follows: ``` { "apiName" : "apiName", "apiDescription" : "apiDescription", "originApiId" : "originApiId" } ``` ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `apiName` | String | Required | Name of the API to be created - 0-20 characters, including English letters, numbers, and special characters "-" and "_" | | `apiDescription` | String | Optional | Description of the API to be created - 0-300 characters | | `originApiId` | String | Required | ID of the source API to duplicate - 0-10 characters | ### Request example The request example is as follows: ``` curl -X POST 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis/clone' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "apiName" : "api-***", "apiDescription" : "api-*** Description", "originApiId" : "**********" } ``` ## Response This section describes the response format. ### Response syntax The syntax is as follows: ``` { "api": { "productId": "productId", "apiId": "apiId", "apiName": "apiName", "apiDescription": "apiDescription", "tenantId": "tenantId", "modifier": "modifier", "modTime": "2024-05-03T07:46:37Z", "isDeleted": false, "domainCode": "domainCode" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "api": { "productId": "*****0bk", "apiId": "*****1r9cm", "apiName": "api_clone", "apiDescription": "api_clone Description", "tenantId": "*****02f55ae4436913a6e2c65bab47c", "modifier": "d12c9fd0-****-****-****-246e96591a38", "modTime": "2024-05-03T07:46:37Z", "isDeleted": false, "domainCode": "PUB" } } ```